Subject: Re: bug#67393: 29.1; Slow to open file if autosave exists

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Dec 2023 20:39:16 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Stefan Kangas <[email-masked]>,  materus213
>  <[email-masked]>,  Eli Zaretskii <[email-masked]>,
>   [email-masked]
> Date: Sun, 24 Dec 2023 19:34:53 +0200
> 
> >>> This is indeed not a bug, but I am wondering if it would be better to
> >>> utilize `set-multi-message' somehow. We are certainly able to display
> >>> multiple recent messages in the echo area. Then, why not allow to keep
> >>> more important ones visible for a time period without blocking?
> >>
> >> It's not easy to temporarily enable `set-multi-message',
> >> since it's not clear at what moment to disable it afterwards.
> >
> > What I meant is to change the default `set-message-function' in such a
> > way that it displays "important" messages for a custom time period, in
> > addition to the last message.
> 
> I agree.  The most annoying delay is in 'ispell-parse-output':
> 
>     (ding) ; error message from ispell!
>     (message "Ispell error: %s" output)
>     (sit-for 5)
> 
> So I need to waste 5 seconds several times during spell-checking.

Only when there's an error, right?

> It would be nicer to prepend this error message to any last displayed
> message during these 5 seconds.

We don't really know whether doing that will be effective.  Given N
lines of messages in the echo-area, what are the chances that the user
will see all of them, or even the most important one(s)?

IOW, we don't have any real experience with this kind of UI.  We need
to collect such experience first, before we conclude that this could
be used as an alternative to sit-for.